#include <stdio.h>
#include "spir.hpp"
#include "spir_ffi.h"

void SPIR::init(uint32_t num_threads)
{
    spir_init(num_threads);
}

SPIR_Client::SPIR_Client(uint8_t r, string &pub_params)
{
    ClientNewRet ret = spir_client_new(r);
    pub_params.assign(ret.pub_params.data, ret.pub_params.len);
    spir_vecdata_free(ret.pub_params);
}
