#ifndef __SPIR_FFI_H__
#define __SPIR_FFI_H__

#include <stdint.h>

#ifdef __cplusplus
extern "C" {
#endif

typedef struct {
    const char *data;
    size_t len;
    size_t capacity;
} VecData;

typedef struct {
    void *client;
    VecData pub_params;
} ClientNewRet;

extern void spir_init(uint32_t num_threads);

extern ClientNewRet spir_client_new(uint8_t r);

extern void spir_vecdata_free(VecData vecdata);

#ifdef __cplusplus
}
#endif

#endif
